Subject: Merge only complete commits

From: Ittay Dror <[email-masked]>
Date: Wed, 03 Sep 2008 16:52:58 +0300

Hi,

Starting with '12345678', one branch creates a change '1A345678', the 
other '1B345C78'. Merging of the branches will result in '1<A=B>345C78'.

But isn't it logical to assume that if changes 'B' and 'C' were done in 
the same commit, then they are related and so a conflict in one 
implicitly means a conflict in the whole commit?

Of course, in a case of a single file, with a single commit, it is easy 
to detect. But what if there have been a history of commits before the 
merge, or if several files were changed?

Maybe help me find the commit by including them in the RCS conflict 
markers?

Ittay

-- 
--
Ittay Dror <[email-masked]>